blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
f0999a2ac7564f9f759d4ab5cc41c8eda988f6dc | Shell | JamesOBenson/osx | /settings/settings.sh | UTF-8 | 11,621 | 3.078125 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"MIT"
] | permissive | #!/bin/bash
# DESCRIPTION
# Defines global settings.
# SETTINGS
# General
set -o nounset # Exit, with error message, when attempting to use an undefined variable.
set -o errexit # Abort script at first error, when a command exits with non-zero status.
set -o pipefail # Returns exit status of the last command in the p... | true |
7816599a9a3a3758a79d24fdc5e36957af9687fa | Shell | vitali2y/marketplace_client | /scripts/set_prod.sh | UTF-8 | 442 | 2.8125 | 3 | [] | no_license | #!/bin/sh
#
# Script for setting the production environment
#
# configuring network environment
rm -f ./util/netconf.coffee
cp ./scripts/netconf_prod.coffee.tmpl ./util/netconf.coffee
# avoiding usage of local rendezvous server, but external one
(cd ./dist && for c in ./*/*/config.toml; do sed -i -e 's/.*\/dns4\/loc... | true |
a42ea4f0d22561c576d1957d2242807a0a49d855 | Shell | krufab/mailpine | /tools/mail/apps_mail.sh | UTF-8 | 2,092 | 3.671875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
function configure_mail() {
echo_ok "Configuring mail"
local config_file="${1}"
local apps_dir="${2}"
local data_dir="${3}"
local log_dir="${4}"
local app_dir="${apps_dir}/mail"
copy_template "${app_dir}"
(
unset ... | true |
5a268ffad53dd2d282274e1d449f4651e2cc6bd6 | Shell | Warry-Gamarra/Lab-ADJG | /Lab/Dia2/Ref/backup.sh | UTF-8 | 277 | 2.515625 | 3 | [] | no_license | #!/bin/bash
export AWS_ACCESS_KEY_ID=AKIAJQTI36MB3A4ZXAUQ
export AWS_SECRET_ACCESS_KEY=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
FCH=$(date +%H-%M)
echo "Backup Mysql"
mysqldump -u root -h dbaws -pdbaws sugar > /tmp/bk_sugar-$(hostname)-$FCH.sql
echo "Subiendo backup"
aws s3 cp /tmp/bk_sugar-$(hostname)-$FCH.sql s3://... | true |
e17636aa23a38b0db12420212d11fcbe25755645 | Shell | ronan22/obs-light | /Doc/Obsi586ApplianceConfig/Run_script_at_the_end_of_the_build | UTF-8 | 1,227 | 2.671875 | 3 | [] | no_license | #!/bin/bash
#
# This script is executed at the end of appliance creation. Here you can do
# one-time actions to modify your appliance before it is ever used, like
# removing files and directories to make it smaller, creating symlinks,
# generating indexes, etc.
#
# The 'kiwi_type' variable will contain the format of t... | true |
ef575101a4cfb10a49253c8725052fe00669490a | Shell | shvraba/my_scripts | /fehbg-loop.sh | UTF-8 | 186 | 2.734375 | 3 | [] | no_license | #!/bin/bash
#
# fehbg-loop.sh --- Randomize and set the wallpaper (and also change it again every hour)
while true; do
feh --randomize --bg-fill ~/Pictures/wallpapers/*
sleep 1h
done
| true |
02c10f247dacdcda4979a2d195c5e6cdd63ca7bf | Shell | codegrande/libra | /docker/mint/run.sh | UTF-8 | 509 | 3.0625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# Example Usage:
# ./run.sh <IMAGE> <AC_HOST> <AC_PORT> <LOG_LEVEL>
# ./run.sh libra_mint:latest ac.dev.aws.hlw3truzy4ls.com 80 info
set -ex
IMAGE="$1"
CONFIGDIR="$(dirname "$0")/../../terraform/validator-sets/dev"
docker network create --subnet 172.18.0.0/24 testnet || true
docker run -p 8000:8000 -e AC... | true |
a13cb19695771701fdf8055df8e42547664cfeb2 | Shell | wendellyi/shell_tool | /src/ruiju_test/insert_account.sh | UTF-8 | 4,022 | 3 | 3 | [] | no_license | #! /bin/sh
PBX_HEAD=
ACCOUNT_RANGE=
DOD_RANGE=
IMS_ACCOUNT=
AA_ACCOUNT=
DATA_CONTENT=$(cat account.txt)
VIRTUAL_PBX_IDX=1
ROUTE_GROUP_NO=5
ROUTE_PLAN_NO=10
NAME_MAP=$(cat << EOF
100,109,ywj
110,119,chy
120,129,wky
130,139,wty
140,157,zcc
158,178,ywj
179,199,chy
200,220,wky
221,241,zcc
242,399,chy
EOF
)
function conv... | true |
c9f38d69b2a6307acd628d7d3f9cf192928c744a | Shell | PetCraft/minecaft-incremental-backup | /backup.sh | UTF-8 | 5,162 | 3.859375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Minecraft server automatic backup management script
# by Nicolas Chan & Lambdacraft
# MIT License
#
# For Minecraft servers running in a tmux.
# For most convenience, run automatically with cron.
# Default Configuration
ENABLE_CHAT_MESSAGES=false # Tell players in Minecraft chat about backup status
PRE... | true |
994bb0bad815a46b3126f5e7d160c59922869534 | Shell | AlexCroydon/freqtrade-bots | /bots/HackerNoon/run | UTF-8 | 609 | 3.359375 | 3 | [] | no_license | #!/bin/bash
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
exchange=binance
strategy=HackerNoon
hyperopt=HackerNoon
# Import utilities
source $dir/../../bin/utils.sh
# Create user_data directory
mkdir_user_data $dir $exchange
function _run () {
freqtrade_wrapper $@ \
--strategy-path ... | true |
f1f8233eabdd8554be140140075c460cf3b157b5 | Shell | gridl/GAB2017ScienceLab | /lab/setup/starttask.sh | UTF-8 | 460 | 2.9375 | 3 | [] | no_license | package="/tmp/gablab.zip"
workspace="/tmp/gablab/"
sudo apt-get update
sudo apt-get install python3-numpy -qq --yes
sudo apt-get install python3-scipy -qq --yes
sudo apt-get install python3-matplotlib -qq --yes
sudo apt-get install python3-requests -qq --yes
sudo apt-get install ipython3 -qq --yes
sudo apt-get install... | true |
b95bf51ae9835385701b8a0044d05e19da02cf7a | Shell | Quanteek/gpcxx | /.ci/commit_coverity_scan.sh | UTF-8 | 1,148 | 2.578125 | 3 | [
"BSL-1.0"
] | permissive | set -x
set -e
curl -s https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh | COVERITY_SCAN_PROJECT_NAME="Ambrosys/gpcxx" COVERITY_SCAN_NOTIFICATION_EMAIL="karsten.ahnert@gmx.de" COVERITY_SCAN_BUILD_COMMAND="make" COVERITY_SCAN_BUILD_COMMAND_PREPEND="mkdir coverity_build && cd coverity_build && cmake .. -D... | true |
00836c57caa5c62c9380caafd9b68314092ea035 | Shell | vinaygupta7/my-projects | /mysql_backup.sh | UTF-8 | 202 | 2.53125 | 3 | [] | no_license | #Mysql backup
#Author Vinay Gupta
DT=$(date +"%d%m%Y_%H%M%S")
mysqldump -uroot -pPASSWORD DB_NAME > /opt/DB_NAME_$DT.sql
gzip /opt/DB_NAME_$DT.sql
find /opt/ -name DB_NAME_* -type f -mtime +7 -exec rm {} \;
| true |
19b52e774a61959ac907fa4e03ded23753045e2c | Shell | yajamon-sandbox/experimental-app-swift | /bin/generate-project.sh | UTF-8 | 226 | 3.046875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
readonly DOC_ROOT=$(cd $(dirname ${BASH_SOURCE:-$0})/..; pwd)
readonly SOURCE_ROOT=$DOC_ROOT/ExperimentalApp
if ! type -a xcodegen >/dev/null ; then
echo "Required: xcodegen" >&2
fi
cd $SOURCE_ROOT
xcodegen
| true |
4731ec1e7708f8f097f2653d57b185bb33daffa7 | Shell | kennywbin/500lines | /incomplete/search-engine/build_handaxeweb | UTF-8 | 667 | 2.84375 | 3 | [
"MIT",
"CC-BY-3.0"
] | permissive | #!/bin/sh
if ! [ -x /usr/bin/lua ] ; then
echo "You need Lua installed at /usr/bin/lua to build Handaxeweb" >&2
exit 1
fi
set -ve
./handaxeweb.lua handaxeweb.lua 0 < handaxeweb.md > handaxeweb2.lua
# test new version
lua handaxeweb2.lua handaxeweb.lua 0 < handaxeweb.md > handaxeweb3.lua
# try build... | true |
174e2032be763d57138e0c8e0572a16b804f138e | Shell | Kartinkin/Shell-Scripts | /Veritas Cluster Server/MetaSet/monitor | UTF-8 | 584 | 2.984375 | 3 | [] | no_license | #!/bin/ksh
ResName=$1
shift
DS=$1
VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
. $VCSHOME/bin/ag_i18n_inc.sh
VCSAG_SET_ENVS $ResName
if [[ -x /usr/sbin/metastat ]]
then
metastat=/usr/sbin/metastat
elif [[ -x /usr/opt/SUNWmd/sbin/metastat ]]
then
metastat=/usr/opt/SUNWmd/sbin/metastat
else
metastat=metastat
fi
if [[ -x /... | true |
7e1e116ec831ce7d493070d9d4bbc8765fe3462d | Shell | rh9/wget | /script/wget/linux_ru_page.sh | UTF-8 | 2,334 | 3.390625 | 3 | [] | no_license | #!/bin/sh
source /usr/script/wget/config.cfg
#======================================================================================================================================================
cd $2
if [ ! -z $1 ]
then
mkdir $1
cd $1
wget -HEkp -nc -nd -l 0 -e robots=off -o log.txt "... | true |
fc41f1f017ed26552c50cfa078474b27f59f1989 | Shell | oppia/oppia-android | /scripts/buf_m1_mac_setup.sh | UTF-8 | 358 | 3.359375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Setup protobuf platform for M1 Mac
arch_name="$(uname -m)"
if [ "${arch_name}" = "x86_64" ] && [[ "$OSTYPE" == "darwin"* ]]; then
if [ "$(sysctl -in sysctl.proc_translated)" = "1" ]; then
echo 'protobuf_platform=osx-x86_64' >> ../oppia-android/local.properties
echo 'Added protobuf pla... | true |
becb5abf909203d1a060f3c0fcfb7649c578f38d | Shell | kcelestine/scripts | /establishConnections | UTF-8 | 2,798 | 2.921875 | 3 | [] | no_license | #!/bin/bash
processGroup1=$1
processGroup2=$2
processGroup1="ce502eb3-015e-1000-abbd-6377bd0d0d7b"
processGroup2="85c3d88f-4578-36d3-220f-57d464628e24"
mainProcessGroup=""
# get connections where first process group is the sourceGroupId
config=$(cat config.json)
url=$(echo $config | ./jq '.dev.url' | sed "s/\"//g")... | true |
b54573d3160091a68f0f3e262f368df050ddd0ab | Shell | jangobash/jangoscripts | /ethersex_communication/adc_get_junk | UTF-8 | 1,219 | 3.453125 | 3 | [] | no_license | #!/bin/bash
#jg, 14.06.2012
#Host Adresse
NETIO_URL=geode500:82
USER_NAME=geode500
PASS_WORD=geode500
SCALE_ADC0=204.6
DIM_ADC0=V
SCALE_ADC1=204.6
DIM_ADC1=V
SCALE_ADC2=204.6
DIM_ADC2=V
SCALE_ADC3=204.6
DIM_ADC3=V
SCALE_ADC4=40
DIM_ADC4=Volt
SCALE_ADC5=204.6
DIM_ADC5=kV
SCALE_ADC6=204.6
DIM_ADC6=V
SCALE_ADC7=204.6
DIM... | true |
ca032e465d11dbbb38e1cf6647fe7d0c97b79c4a | Shell | permikomnaskaltara/research-2 | /ddos/1991/COPS/cops_104/bug.chk | UTF-8 | 3,531 | 3.59375 | 4 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/sh
#
# bug.chk [arch]
#
# This uses publically available (available via anon-ftp from
# cert.sei.cmu.edu) data to determine if a security bug is present. It
# checks the date of the program in question against the cert advisory
# date, and, if it is older than that, it flags it as a potential
# bug/vulnerab... | true |
90c60cc118f94e726c74f26e6cd94d092cdc0009 | Shell | ck624/defusr | /data/flying_things/_colmap_single.sh | UTF-8 | 2,066 | 3.25 | 3 | [
"MIT"
] | permissive | COLMAP=$1
SCANPATH=$2
WORKPATH=$3
set -e
PTPATH="$SCANPATH/colmap/"
if [ -f $PTPATH/cloud_total.ply ]
then
echo "$PTPATH already exists -- skipping"
exit 0
fi
rm -rf $WORKPATH
# copy all the input images to a separate folder
IMGPATH="$WORKPATH/tmp_imgs/"
rm -rf $IMGPATH
mkdir -p $IMGPATH
cp $SCANPATH/*.png ... | true |
74d709a04c38fbb5fc797a061a2602498622dfc6 | Shell | gogolnr1/voidrice | /.local/bin/bsto-check | UTF-8 | 2,113 | 4 | 4 | [] | no_license | #!/bin/bash
# makes use of pup (https://github.com/ericchiang/pup)
BASEURL='https://bs.to'
hash pup 2>/dev/null || { echo "command pup not installed" >&2; exit 1; }
regx='(.*) S'
[[ $1 =~ $regx ]] &&
SERIESNAME="${BASH_REMATCH[1]}" || SERIESNAME="$1"
[[ -z $SERIESNAME ]] && { echo "no name given, exiting"; exit 1;... | true |
f9ea6b98debda024dec6b5278becbff3ec7955a2 | Shell | khorramk/Contact-Form-Exercise | /install-local.sh | UTF-8 | 382 | 2.6875 | 3 | [] | no_license | echo "Welcome to Contact form exercise!"
echo "This program will install all of the dependencies for your local development"
echo "First composer install"
composer install
echo "composer install finished"
echo "yarn install"
yarn
echo "installation complete"
echo "you can now enjoy coding and developing by runn... | true |
be2687ede4997e111f7badc8dbf3926d34e7ab75 | Shell | eramag1/despliegue_automatico | /HA/provision-orion.sh | UTF-8 | 745 | 2.53125 | 3 | [] | no_license | #
# Author: Espe
#
# Setting up Fiware Repo
sudo cp /vagrant/repos/fiware.repo /etc/yum.repos.d
# Install contextBroker
sudo yum -y install contextBroker
# Change BROKER_DATABASE_HOST
sed -c -i "s/\(BROKER_DATABASE_HOST *= *\).*/\1172.28.33.10/" /etc/sysconfig/contextBroker
# Start contextBroker
sudo service contex... | true |
6286c2697b7335e999c67ae7451d93afa7f8a112 | Shell | anelson/dotfiles | /home/.zsh/fzf.zsh | UTF-8 | 1,338 | 3.125 | 3 | [] | no_license | # Source default FZF aliases
if [ -f /usr/share/fzf/key-bindings.zsh ]; then
. /usr/share/fzf/key-bindings.zsh
elif [ -f /usr/share/fzf/shell/key-bindings.zsh ]; then
. /usr/share/fzf/shell/key-bindings.zsh
elif [ -f /opt/homebrew/opt/fzf/shell/key-bindings.zsh ]; then
. /opt/homebrew/opt/fzf/shell/key-bindings.z... | true |
a2d96b8e4fc0dbb609ea29c2902c0c99674e1a61 | Shell | yugosever/bash-repo | /create_network.sh | UTF-8 | 5,304 | 4.25 | 4 | [] | no_license | #!/bin/bash
#create_xml_file
#check_domain_name
#check_if_network_already_exist
#define_network
#usage
usage(){
echo "Usage: $0 [OPTION] ..."
echo "Mandatory arguments"
echo "-n, --network-name Enter a new network name"
echo
echo "Optional arguments"
echo "-m, --mac-address Enter a mac_addr, or random mac_add... | true |
19046b29aaa9ca31d9201db76456d3d12774da38 | Shell | arclogicsoftware/arcshell | /install.sh | UTF-8 | 442 | 3.3125 | 3 | [
"Apache-2.0"
] | permissive |
if [[ -d ./arcshell ]]; then
echo "Please remove the 'arcshell' directory and try again."
exit 1
fi
if [[ -d "./arcshell-master" ]]; then
echo "Please remove the 'arcshell-master' directory and try again."
exit 1
fi
wget https://github.com/arclogicsoftware/arcshell/archive/master.zip
unzip master.zip
mv arcshel... | true |
a7030120c2cab8db33022d68958befab22b79c09 | Shell | Zihuadanejo/docs | /proto-dcdc/convert-schematics.sh | UTF-8 | 168 | 2.546875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/zsh
for i in *.eps; do
convert -alpha Off +antialias -density 320 -resize 25% "$i" "renders/${i%.eps}.png"
epspdf "$i" "renders/${i%.eps}.pdf"
done
| true |
6a2ec0e7def60190f094aa01d1bfdbcbcc865e12 | Shell | rgeorgiev583/os-2016-2017 | /review/3/6.sh | UTF-8 | 215 | 3.5 | 4 | [
"MIT"
] | permissive | #!/bin/sh
[ -d ~/.trash ] || mkdir ~/.trash
count=$(ls -l ~/.trash | wc -l)
rm_count=$((count / 4))
if [ $rm_count -eq $count ]
then
rm $(ls -tr | head -$rm_count)
fi
for file
do
mv "$file" ~/.trash
done
| true |
2cc6914235aef22ca6ef83d4914e4ed307a05b62 | Shell | 1Crazymoney/gitcash | /create-accounts | UTF-8 | 594 | 3.6875 | 4 | [] | no_license | #!/bin/bash
set -euo pipefail
source ${BASH_SOURCE%/*}/.helpers.sh
# Create some demo accounts. Normally the blockchain doesn't have access to
# anyones private keys. These are only included for the demo.
names="Alice Bob Charlie Dave Erin Frank"
mkdir -p "${_private_keys}"
mkdir -p "${public_keys}"
for name in $na... | true |
ddd830d1234ef08399ef27d334dfe468c3ff92a8 | Shell | himanshugharat/Shell_Programming_constructs | /sequence/ifProblems/simulateCoinFlip.sh | UTF-8 | 503 | 3.296875 | 3 | [] | no_license | #Write a program to simulate a coin flip and print out "Heads" or "Tails" accordingly.
#!/bin/bash -x
echo "enter the number os time coin will be flip:"
read flip;
head=0;
tail=0
for((i=1;i<=$flip;i++))
do
a=$(((RANDOM % 2)+1))
echo $a;
if [ $a -gt 1 ]
then
head=`expr $head + 1`;
else
tail=`expr $tail + 1`;
fi
done
ech... | true |
2b64ab3ce683f522cb859e876828269de37102f7 | Shell | google/gf-layers | /.github/workflows/dev_build.sh | UTF-8 | 1,472 | 3.265625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright 2020 The gf-layers Project Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by ... | true |
eada390abf0e8b09452e680ffee27481a1f61902 | Shell | meilihao/alfs_docker | /lfs_root/scripts/prepare/run-prepare.sh | UTF-8 | 1,116 | 2.828125 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
set -x
# The cross-compiler will be installed in a separate $LFS/tools directory, since it will not be part of the final system.
echo "--- start run-prepare.sh ---"
${LFSRoot}/scripts/prepare/binutils.sh
${LFSRoot}/scripts/prepare/gcc.sh
${LFSRoot}/scripts/prepare/linux-api-header.sh
${LF... | true |
ad0ebf76f0129f7c2c581f79b3ee4645296724f5 | Shell | neuroph12/proxy-detector | /server/setup.sh | UTF-8 | 1,403 | 3.5 | 4 | [
"MIT"
] | permissive |
#!/usr/bin/env bash
if [ ! -e ./.zmq ]; then
# Move into temporary directory.
mkdir .zmq
cd .zmq
# Add repository for 0MQ.
sudo add-apt-repository ppa:chris-lea/zeromq
# Update apt and install packages.
sudo apt-get update
sudo apt-get install --force-yes --yes libzmq-dev python-dev uuid-dev
... | true |
6b5f7dd4923541a85f45b576e319ebd5745fa146 | Shell | tkunicki/geomesa | /geomesa-hbase/geomesa-hbase-tools/bin/bootstrap-geomesa-hbase.sh | UTF-8 | 1,130 | 3.90625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
if [[ "$#" -ne 1 ]]; then
echo "Error: Invalid input parameters"
echo "Usage: bootstrap-geomesa-hbase.sh <geomesa-version>"
exit 1
fi
VERSION=$1
GMDIR="/opt/geomesa-hbase_2.11-${VERSION}"
if [[ ! -d "${GMDIR}" ]]; then
echo "Unable to find geomesa directory at ${GMDIR}"
exit 1
fi
echo "B... | true |
61547668744824a929450fca2e1897a634f562fb | Shell | chent1024/lnmp | /include/php72.sh | UTF-8 | 2,860 | 3.25 | 3 | [
"MIT"
] | permissive | #!/bin/bash
Install_PHP72()
{
echo "============================PHP72 Install start=================================="
if [ -d $INSTALL_DIR_PHP72/sbin ];then
echo "php72 has been installed"
return 0
fi
libmcrypt_url=https://cytranet.dl.sourceforge.net/project/mcrypt/Libmcrypt/2.5.8/lib... | true |
789ebc8e371a91bc2d96013d4359de95ca6f1158 | Shell | chengkun-wrcp/mydotfiles | /.local/bin/v2ray | UTF-8 | 1,754 | 3.859375 | 4 | [] | no_license | #!/bin/bash
help() {
echo Usage:
echo -e "\t" v2ray help
# echo -e "\t" v2ray config : edit config.json
echo -e "\t" v2ray start : start the v2ray service
echo -e "\t" v2ray restart : start the v2ray service
echo -e "\t" v2ray stop : stop the v2ray service
echo -e "\t" v2ray status : show st... | true |
2d7fd482099a7d8e13ceb9a415f78c2d61a7b59e | Shell | tamadalab/kani | /scripts/find-project-dir.sh | UTF-8 | 602 | 4.28125 | 4 | [
"LicenseRef-scancode-public-domain",
"CC0-1.0"
] | permissive | #! /bin/sh
# Find the project directory.
# This script traverses from the current directory to the root directory and finds the .git directory.
# If the script found the .git directory, the script prints the parent directory of .git as the root of the project directory, and returns 0.
# If not found, the script return... | true |
de550e5cf9a41797c375e9b44d34e4ce7d734fcd | Shell | suve/importgarmin | /importgarmin | UTF-8 | 365 | 2.859375 | 3 | [] | no_license | #!/bin/bash
# This file simply runs garmin_save_runs, which imports
# workouts from a Garmin device to ~/exports, in .gmn
# format, and then runs convert.gmn.sh to produce
# .tcx for all imported workouts.
OLDDIR=`pwd`
cd ~/exports
garmin_save_runs
./convert.gmn.sh
# ./convert.gmn.sh /tcx_dir # Copy all .tcx files ... | true |
b5039659195aa07f3f31d55dc9bd7c22d2efab7c | Shell | maximbaz/dotfiles | /.local/bin/waybar-yubikey | UTF-8 | 987 | 3.71875 | 4 | [
"ISC"
] | permissive | #!/bin/bash
socket="${XDG_RUNTIME_DIR:-/run/user/$UID}/yubikey-touch-detector.socket"
while true; do
touch_reasons=()
if [ ! -e "$socket" ]; then
printf '{"text": "Waiting for YubiKey socket"}\n'
while [ ! -e "$socket" ]; do sleep 1; done
fi
printf '{"text": ""}\n'
nc -U "$socket... | true |
e42ea1b393e28fe08e20b5bea6ec7e9eeaaee5d8 | Shell | lhcoder/Context-Aware | /runs/translate-en2ru.sh | UTF-8 | 1,082 | 2.90625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/bash
set -e
model_root_dir=checkpoints
# set tag
tag=$1
# set device
gpu=0
# set dataset
who=test
#who=valid
if [ $tag == "baseline" ] || [ $tag == "gaussian" ]; then
task=translation
data_dir=sent
batch_size=64
beam=4
length_penalty=0
elif [ $tag == "inside-conte... | true |
62129a9195ed8fb2d8409d314c16e35396d649b2 | Shell | tmurakam/kubernetes-vagrant-env | /centos7/scripts/bootstrap.sh | UTF-8 | 847 | 2.53125 | 3 | [] | no_license | #!/bin/sh
cat << EOF | sudo tee /etc/yum.repos.d/kubernetes.repo
[kubernetes]
name=Kubernetes
baseurl=https://packages.cloud.google.com/yum/repos/kubernetes-el7-x86_64
enabled=1
gpgcheck=1
repo_gpgcheck=1
gpgkey=https://packages.cloud.google.com/yum/doc/yum-key.gpg https://packages.cloud.google.com/yum/doc/rpm-package-... | true |
c5c69218b4b7934a0e6a3fe2d868360b259569cb | Shell | venuroopani/DevSecOps_PythonSecurityPipeline | /setup-ubuntu.sh | UTF-8 | 1,297 | 3.15625 | 3 | [] | no_license | #!/bin/bash
apt-get update
apt install docker.io -y
apt-get install -y docker-compose
apt install default-jre -y
#have to relogin as ubuntu user
usermod -aG docker ubuntu
# restart new session with docker group
#newgrp docker
#let docker run when server is restarted
systemctl enable docker
#create random passwor... | true |
46c1a3e3de3bbaf601c4765cb14a487cb63096e6 | Shell | bySabi/my_docker_util | /setup_tool/setup_tool | UTF-8 | 1,142 | 4.03125 | 4 | [] | no_license | #!/bin/bash
set -e
setup_dir=/var/lib/setup_tool
tool_cmd=${1}
tool_name=$(basename ${2} | sed 's|.setup||' )
tool_path=${setup_dir}/${tool_name}
tool_file=${tool_path}/${tool_name}
main() {
case ${1} in
install)
setup_tool ${2}
source ${tool_file}
install_tool
create_version_file
;;
update)
s... | true |
1c7c9b22d3e456acafb557c581e4f2fd2be92abf | Shell | CloudRaker/apostrophe-boilerplate | /scripts/sync-down.sh | UTF-8 | 615 | 3.703125 | 4 | [] | no_license | #!/usr/bin/env bash
usage() {
echo "Usage: $0 -u <User> -p <Password>" 1>&2;
exit 1;
}
while getopts "u:p:" o; do
case "${o}" in
u)
USER=${OPTARG}
;;
p)
PASSWORD=${OPTARG}
;;
*)
usage
;;
esac
done
if [ -z ${USER+x} ] ... | true |
ef1262b31758ada433fd0bff4e67ca5a11c78f20 | Shell | greenboxal/osx-docker-devbox | /bin/devbox-run | UTF-8 | 1,322 | 3.1875 | 3 | [] | no_license | #!/bin/bash
. ${DEVBOX_HOME:-$PWD}/lib/config.sh
. $DEVBOX_HOME/lib/rerun-as-root.sh
LATEST=$(ls -r $DEVBOX_HOME/images/${CHANNEL}.*.vmlinuz | head -n 1 | sed -e "s,.*${CHANNEL}.,," -e "s,.coreos_.*,,")
if [[ -z ${LATEST} ]]; then
echo "Error: couldn't find anything to load locally (${CHANNEL} channel)."
echo... | true |
fb0d453a055398abd91d47199aa6d14746e35a6b | Shell | ewmorr/diel_RNAseq | /read_mapping_and_annotation/map_diel_RNA_to_genes_read_counts.sh | UTF-8 | 1,377 | 3.0625 | 3 | [] | no_license | #!/bin/bash
#$ -q mic,bio
#$ -N mapping
#$ -o mapping.out
#$ -e mapping.err
#$ -pe openmp 24
#$ -m beas
module purge
module load bwa/0.7.8
module load samtools/1.8-11
SUBJECT=$BIODIR/martiny_diel_metaG/genes_P1P2P3.derep.fna
READSDIR=$BIODIR/martiny_diel_seqs
bwa index $SUBJECT
#SUBJECTDIR=${SUBJECT%/*}
#perl $HOME/a... | true |
75a55a8532865a494683913f51b76046cf43fe69 | Shell | ronyblum/simple-lamp | /scripts/stop_server | UTF-8 | 94 | 2.640625 | 3 | [] | no_license | #!/bin/bash
isExistApp='pgrep apache2'
if [[ -n $isExistApp ]]; then
service apache2 stop
fi
| true |
1727bc5af65fdfa0eb73e37fc67aa743726d18d1 | Shell | aashnasheth/bottlerocket | /tools/rpm2kmodkit | UTF-8 | 1,443 | 4.03125 | 4 | [
"MIT",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
#
# Create an archive of kernel development sources and toolchain.
set -eu -o pipefail
for opt in "$@"; do
optarg="$(expr "${opt}" : '[^=]*=\(.*\)')"
case "${opt}" in
--archive-dir=*) ARCHIVE_DIR="${optarg}" ;;
--toolchain-dir=*) TOOLCHAIN_DIR="${optarg}" ;;
--output-dir=*) ... | true |
4ec30b478beed530c255a246b5eab5d601dcc118 | Shell | sbjorn/facette | /misc/scripts/release.sh | UTF-8 | 887 | 3.5 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -eu
src_dir=$(realpath $(dirname $0)/../..)
cd ${src_dir}
tmp_dir=$(mktemp -d)
trap 'cp -f ${tmp_dir}/* ${src_dir}/dist/; rm -rf ${tmp_dir}' EXIT INT QUIT TERM
version=$(awk '$1 == "VERSION" { print $3 }' Makefile)
# Binary builds
while read env; do
docker run --rm -v ${src_dir}:/root/go/src/fa... | true |
f068b26ed5498d55cc667986b16063e0788bb162 | Shell | zaro0508/packer-ami-template | /deregister_ami.sh | UTF-8 | 1,265 | 3.890625 | 4 | [
"Apache-2.0"
] | permissive | ###############################################
# Remove an AMI and its associated snapshots #
###############################################
AMI_NAME=$1
if [[ -z $AMI_NAME ]]; then
echo "You must supply the name of the AMI to delete"
exit 1
fi
AWS_PROFILE=$2
if [[ -z $AWS_PROFILE ]]; then
AWS_PROFILE=packer-b... | true |
c2a14de081c1874716f0bc3cea0d3e63254ee1df | Shell | tox2ik/local-bin | /is-little-endian | UTF-8 | 162 | 2.71875 | 3 | [] | no_license | #!/bin/sh
e=$(
echo -n I | hexdump -o | awk '{ print substr($2,6,1); exit}'
)
if [ "$e" -eq 1 ]; then echo yes 1>&2; fi
if [ "$e" -eq 1 ]; then exit 0; fi
exit 1
| true |
704a60c4d3a8ae915c6f122e17ebd0b212741832 | Shell | mateossh/dotfiles | /zsh/.zshrc | UTF-8 | 1,539 | 2.5625 | 3 | [] | no_license | export ZSH=$HOME/.oh-my-zsh
export LANG=en_US.UTF-8
export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games"
export EDITOR=vim
export ANDROID_HOME=/opt/android-sdk
export GOPATH=$HOME/.go
export QT_DIR=/usr/include/qt
export PATH=$PATH:"$ANDROID_HOME/tools"
export PATH=$PAT... | true |
19a3daeb461bd50aa26b4c2f986dc8656b895b81 | Shell | simlife/simlife | /travis/scripts/00-replace-version-generator.sh | UTF-8 | 799 | 3.34375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
if [[ $SIMLIFE_VERSION == '' ]]; then
SIMLIFE_VERSION=0.0.0-TRAVIS
fi
# simlife-dependencies.version in generated pom.xml or gradle.properties
PREVIOUS_DIR=$(pwd)
cd $HOME/generator-simlife/generators/server/templates
sed -e 's/<simlife-dependencies.version>.*<\/simlife-dependencies.version>/<simlife... | true |
f40158fa9817d7503efeacfa1d62a8def1de18c9 | Shell | enesutku07/lfscript | /scripts/blfs-18652/libisoburn | UTF-8 | 1,201 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# The instructions in this file are extracted from
# 'Beyond Linux From Scratch' (2017-04-29 / r18652) but are modified for use
# with LFScript 4 which installs the software to a fake root directory.
#
# Beyond Linux From Scratch is released under the MIT license.
# Copyright (C) 2001-2017, The BLFS Develo... | true |
4abf3e46d8e02383be5e8aa28eb3420ca8b4f80b | Shell | weiyongzhi233/brown | /weenix_temp/Vars.sh | UTF-8 | 1,553 | 2.890625 | 3 | [] | no_license | # bash library
# This should ALWAYS be sourced after Config.sh
IMAGE=weenix.img
ISO_IMAGE=weenix.iso
SYMBOLS=weenix.dbg
BSYMBOLS=symbols.dbg
GDBCOMM=gdb-commands
GDB_INIT=init.gdb
GDB_TMP_INIT=inittmp.gdb
GDB_COMM_INIT=commands.gdb
KERN_DIR=kernel
USER_DIR=user
SCRIPT_DIR=python
LOG_FILE=bochsout.txt
# Contains g... | true |
f44ac1c113d3313e36e93792bfcd5c17c5ef2860 | Shell | vrwmiller/shsrcconf | /config.sh | UTF-8 | 806 | 3.96875 | 4 | [] | no_license | #! /bin/sh
#
# PENV is a plain text key=value pair used to encrypt and decrypt the
# aes-256-cbc encrypted string. It can be specified in the config or in the
# environment. It should be appropriately exported.
#
# Add the file below to .gitignore. Set its permissions on disk to 0400.
# Get a aes-256-cbc encrypted pass... | true |
93c59796c709bd7521bd23dcae52eedf1bc71b2d | Shell | JobBoerma/GlobalOptimization | /fortran_code/collect_results_from_folders_old.sh | UTF-8 | 668 | 2.890625 | 3 | [] | no_license | # collect results
rm -f ../results/results_time.dat
rm -f ../results/results_min.dat
touch ../results/results_time.dat
touch ../results/results_min.dat
declare -i length n imp
#declare -a SobolList
SobolList=(100 200 300 400 500 600 700 800 900 1000 1250 1500 1750 2000)
length=${#SobolList[@]}
length=$((length-1))
i... | true |
31472f1fa0664c76a976072d68635eed3f37a133 | Shell | josemoraes99/picons_admin | /build.sh | UTF-8 | 1,248 | 3.453125 | 3 | [] | no_license | #!/bin/bash
DIST_FOLDER="docs"
SRC_FOLDER="src"
HTML_FILE_NAME="index.html"
JS_FILE_NAME="script.js"
DATE=`date +%d_%m_%Y`
rm $DIST_FOLDER/$HTML_FILE_NAME
rm $DIST_FOLDER/$JS_FILE_NAME
echo "arquivos apagados"
html-minifier --collapse-whitespace --remove-comments --minify-css true --minify-js true $SRC_FOLDER/$HTML_F... | true |
efcb6625f9e4f15f3182616d29e02f9031cdfcf3 | Shell | escenic/ece-scripts | /etc/bash_completion.d/ece-install | UTF-8 | 483 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | # auto completion for the ece-install command. -*- sh -*-
_ece-install_commands()
{
local cur=${COMP_WORDS[COMP_CWORD]}
local prev=${COMP_WORDS[COMP_CWORD-1]}
options="
--conf-file
--verbose
--version
-V
-f
-v
"
# default completions is t... | true |
88522f0d55fb6ab08e9d89835a7953ef4b2cfe35 | Shell | cckmit/taiping | /taiping-system/src/main/resources/run.sh | UTF-8 | 905 | 2.625 | 3 | [] | no_license | #!/bin/sh
#mysqlURL 地址
Host=`/sbin/ifconfig -a|grep inet|grep -v 127.0.0.1|grep -v inet6|sed -n "1,1p"|awk '{print $2}'|tr -d "addr:"`
mysqlPort=3306
mysqlUrl="jdbc:mysql://$Host:$mysqlPort/taiping?useSSL=false&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true&serverTimezone=UTC"
# 系统管理员邮箱配置
mailAddr="tp... | true |
d137710d92a23d816e918bfb232afee37dc32c66 | Shell | felippe-mendonca/rm | /install | UTF-8 | 3,045 | 3.640625 | 4 | [] | no_license | #!/bin/bash
__USER=$USER
# Get super user privileges
if [[ $EUID != 0 ]]; then
sudo "$0" "$@"
exit $?
fi
this_path=$PWD
install_path=/tmp/install/
mkdir -p $install_path && cd $install_path
function find::folder {
if [ ! -d $1 ]; then
echo " [x] $(basename $1) not found..."
return 1
fi
echo " [x] $(b... | true |
d1023e98528fd2f6e0f0d6e8201d890c0311a35a | Shell | native2k/PilotSSH-scripts | /process/process_kill.sh | UTF-8 | 345 | 3.3125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env sh
kill -9 $1 > /dev/null 2>&1
OUT=$?
if [ $OUT -eq 0 ];then
echo "{ \"version\": 1, \"title\": \"Killing $2\", \"type\":\"status\", \"status\":\"ok\", \"message\":\"success\"}"
else
echo "{ \"version\": 1, \"title\": \"Killed $2\", \"type\":\"status\", \"status\":\"failed\", \"message\":\"could not ... | true |
621b57bc99ca5cd8ea3f14d7c0086303176dc0ab | Shell | ksclarke/packer-basebox | /scripts/install-ansible-centos6.sh | UTF-8 | 306 | 2.890625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash -eux
GREEN='\033[1;32m'
RED='\033[0;31m'
NC='\033[0m'
printf "${GREEN}Installing EPEL repository${NC}\n"
yum -y install epel-release
printf "${GREEN}Installing Ansible and its dependencies${NC}\n"
yum -y install git python-setuptools gcc sudo libffi-devel python-devel openssl-devel ansible
| true |
21cea9047416777fdc6b544c2f89287c88d0c92c | Shell | rojekabc/okienkoc | /tools/projbuild/bin/buildall | UTF-8 | 132 | 2.828125 | 3 | [] | no_license | #!/bin/sh
path=`dirname $0`
if test -z $1; then
$path/builddev
$path/buildpkg
else
$path/builddev $1-dev
$ptah/buildpkg $1
fi
| true |
4695cc86421174316cbdc07326997052999643b8 | Shell | codiply/neo4j-flight-routes | /drop_database.sh | UTF-8 | 184 | 2.515625 | 3 | [] | no_license | #!/bin/bash
read -p "This will delete all data in /var/lib/neo4j/data folder. Are you sure (y/n)? " -n 1 -r
echo
sudo rm -rf /var/lib/neo4j/data/*
sudo service neo4j-service restart
| true |
38aea94c644e36b77f0204046d6e5705986edc9d | Shell | MUsamaJaved/OSPJ | /Measurements/automatic.sh | UTF-8 | 760 | 3.46875 | 3 | [] | no_license | #!/bin/bash
freq() {
if [ -z "$1" ]
then
grep 'cpu MHz' /proc/cpuinfo
else
sudo cpupower -c 0 frequency-set -f $(($1*1000))
fi
}
time=${3-600}
host=${2-deneb}
LOGFILE="measurementResults-$(date +%y%m%d-%H%M).log"
declare -A shares=( [800]=50 [1800]=25 [... | true |
45f357ee3c11daef87ab09840d24763933ed4ec7 | Shell | mohfunk/config | /zsh/util.zsh | UTF-8 | 2,943 | 3.90625 | 4 | [] | no_license | ##### Functions
###
# checks file extention before cat, displays images with catimg and md files
# with mdv on macos, mdless on linux
function cat() {
local fullfilename=$1
local filename=$(basename "$fullfilename")
local fname="${filename%.*}"
local ext="${filename##*.}"
if [[ $ext == "md" ]] the... | true |
1c4f91c23f184a561974433eb9eb9d2330259ec4 | Shell | hparik11/Cloud_Benchmarking | /PROG1_Parikh_Harsh/Network/network.sh | UTF-8 | 388 | 3 | 3 | [] | no_license | #!/bin/bash
#rm -r Results/network
mkdir Results/network
for packet in 1b 1kb 64kb
do
for thread in 1 2
do
for (( i = 0; i < 3; i++ ))
do
echo "packet size:"$packet ", thread number: "$thread
python mtcpServer.py $thread &
python mtcpClient.py $packet $thread >> network"_"$packet"_"$thread.txt
mv ne... | true |
f415bfadf29b5e84bf5b063b4094356bec0e6b07 | Shell | tomperrine/dns-purist | /cname-to-csv.sh | UTF-8 | 1,026 | 2.953125 | 3 | [] | no_license | #!/bin/bash
# take dns-purist error messages like this
#CNAME_ERR_NOT_RESOLVED: CNAME zi-cacti.989studios.com -> zi-monitor02. which does not resolve
#CNAME_ERR_NOT_RESOLVED: CNAME abpgsql01.scea.com -> swan001.scea.com. which does not resolve
#CNAME_ERR_NOT_RESOLVED: CNAME con-admin.scea.com -> san-10075-dca-as... | true |
90f1a9d4577d90d71e2537bc3aa86dbea7f1df6c | Shell | dogz1lla/scripts | /dwm/dwm_statusbar/dwm_statusbar.sh | UTF-8 | 260 | 2.609375 | 3 | [] | no_license | #!/bin/sh
TIME=$(~/scripts/dwm_statusbar/dwm_datetime.sh)
HDD=$(~/scripts/dwm_statusbar/dwm_diskspace.sh)
RAM=$(~/scripts/dwm_statusbar/dwm_ram.sh)
WEATHER=$(~/scripts/dwm_statusbar/dwm_weather.sh)
printf "WEATHER: $WEATHER | HDD: $HDD | RAM: $RAM | $TIME\n"
| true |
3ed14ce51b75f4c094caafa28a04d74d191d6e79 | Shell | kgyrtkirk/hive-toolbox | /src/main/scripts/init_cldr_hive_remote | UTF-8 | 1,140 | 3.078125 | 3 | [] | no_license | #!/bin/bash
set -e
echo "Executing@`hostname`: $0 $*"
if [ "$1" != "client" ] ; then
[ "$1" == "" ] && echo "usage: $0 <host>" && exit 1
scp "$0" "$1:"
ssh -t "$1" "$0 client"
exit 0
fi
mkdir -p ~/.m2
cat >~/.m2/settings.xml <<EOL
<settings>
<localRepository/>
<mirrors>
<mirror>
<id>public</id>
<... | true |
6d03ebc5b5db6906dc32d6fccd181980820fb3e1 | Shell | shizonic/voidpkgs | /srcpkgs/docker/template | UTF-8 | 2,648 | 2.5625 | 3 | [
"Unlicense",
"LicenseRef-scancode-public-domain"
] | permissive | maintainer="Andy Weidenbaum <archbaum@gmail.com>"
pkgname="docker"
version=18.09.3
revision=2
short_desc="Pack, ship and run any application as a lightweight container"
archs+=" ppc64le*"
archs+=" x86_64*"
depends+=" containerd"
depends+=" git"
depends+=" iptables"
depends+=" runc"
depends+=" xz"
makedepends+=" device-... | true |
738ada058a100e60a9d53b9f3653188dc4778e7b | Shell | apoutchika/backup | /drivers/mongo.sh | UTF-8 | 1,201 | 3.421875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Must set driver backup extension, withou first point
DRIVER_EXTENSION='gz'
# Do not change this line, and use this variable for backup file path
DRIVER_FILE_PATH="/data/backup/\${DATE}.${DRIVER_EXTENSION}"
# Create you'r logic for generate backup and restore command
MONGO_OPTS=""
if [[ ! -z ${BACKUP_HO... | true |
c21be8965dc38a36f1af5aee66075b6f04378ac4 | Shell | chandramukesh123/git-remote-repo | /bash-scripts/nginxstart.sh | UTF-8 | 173 | 2.859375 | 3 | [] | no_license | #!/bin/bash
if [ -f /var/run/nginx.pid ]
then
echo "Nginx is running."
else
echo "Starting nginx service."
sudo apt-get install nginx -y
service nginx start
fi
| true |
4633f5394a6df9e2c4e2ad3d916426ca641b2b2f | Shell | corriander/Shell-Scripting-Framework | /scripts/ssf.d/new_script | UTF-8 | 562 | 4.125 | 4 | [] | no_license | #!/bin/bash
# Create a new bash script.
#
# Generates a new bash script named after the first argument with a
# shebang already inserted. The script is generated in the same folder
# as this one (it makes sense for it to live in the user's scripts
# folder, e.g. `~/.scripts/`.
SCRIPT_BASENAME=$1
SCRIPT_DIR=${SSF_DIR_L... | true |
fa4b28a7ad5decaef3d67048a173dec9fb75dc31 | Shell | zhengguangpeng/haust | /nagz-cdc-event/deploy.sh | UTF-8 | 1,295 | 3.828125 | 4 | [] | no_license | #!/bin/sh
#
# This shell script takes care of starting and stopping jar programs
#
# Version: v0.1.3
#
# Authors: [xuchang](mailto:xuc@yikeer.com)
#set -x
PRO_NAME=nagz-cdc-event
MAIN_CLASS=com.hongtoo.nagz.cdc.event.CdcEventMain
#PRO_HOME=/home/gitlab-runner/${PRO_NAME}
#PRO_SOURCE=${CI_PROJECT_DIR}/${PRO_NAME}.ja... | true |
99ac4e67eabd631557d0a7b2853e25003a4e6115 | Shell | MuhammadRafay151/Hyperledger-Fabric-Network | /channel.sh | UTF-8 | 2,906 | 2.859375 | 3 | [] | no_license | CHANNEL_NAME="mychannel"
DELAY=3
MAX_RETRY=5
VERBOSE="false"
export PATH=${PWD}/bin
export FABRIC_CFG_PATH=${PWD}/configtx
#import globals
source scriptUtils.sh
. globals.sh
CHANNEL_NAME="mychannel"
Organizations=("NedMSP" "uitMSP")
createChannelTx() {
set -x
./bin/configtxgen -profile TwoOrgsChannel -outputCreateC... | true |
37fa1c23bf3bde371c0d1dbd027b323a76b10a77 | Shell | hiboyhiboy/opt-script | /script/Sh43_huaweidns.sh | UTF-8 | 20,187 | 3.265625 | 3 | [] | no_license | #!/bin/bash
#copyright by hiboy
source /etc/storage/script/init.sh
huaweidns_enable=`nvram get huaweidns_enable`
[ -z $huaweidns_enable ] && huaweidns_enable=0 && nvram set huaweidns_enable=0
if [ "$huaweidns_enable" != "0" ] ; then
#nvramshow=`nvram showall | grep '=' | grep huaweidns | awk '{print gensub(/'"'"'/,"'"'... | true |
d38880fad8f6f1595bcb951eaaa136e1a577917f | Shell | saltstack-formulas/devstack-formula | /devstack/files/default/local.conf.j2 | UTF-8 | 7,124 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Sample ``local.conf`` for user-configurable variables in ``stack.sh``
####################
## Managed by Salt
#####################
# NOTE: Copy this file to the root DevStack directory for it to work properly.
# ``local.conf`` is a user-maintained settings file that is sourced from ``stackrc``.
# This ... | true |
54e31dada4aeef48e275fa8fa81a023451322630 | Shell | GaToRAiD/scripts | /SystemReboot.sh | UTF-8 | 2,928 | 4.125 | 4 | [] | no_license | #!/bin/bash
#Author: Andrew Barrett
#Purpose: Restart systems that have been on for more than 5 days.
#Date: 05/20/2015
#Setup File for Progress Bar
rm -f /tmp/hpipe
mkfifo /tmp/hpipe
sleep 0.2
#Declare Variables
cocoaPath="/Applications/CocoaDialog.app/Contents/MacOS/CocoaDialog"
deferNumber=`cat /tmp/defer`
DAYS="d... | true |
97f64f881dbf9f2bc57d7223ccc98331948fc184 | Shell | achmadnabawi/sparkdata | /public/sh/merge.sh | UTF-8 | 727 | 2.921875 | 3 | [] | no_license | #!/usr/bin/env bash
source ~/.bashrc
table=$1
path=/hive/warehouse/wlbase_dev.db/$table
#hadoop fs -ls $path
echo $path
hfs -ls $path |sed '1d' |awk -F"ds=" '{if(length($NF)==8) print "ds="$NF }' >ds_log
hfs -ls $path |sed '1d' |awk -F"ds=" '{if(length($NF)!=8) print "ds="$NF }' >ds_log_error
echo 'dea... | true |
fcaf81a3556aab170c7dd3cc3631bc43d11f9f6b | Shell | cmyui/Asahi | /ext/compile.sh | UTF-8 | 940 | 3.15625 | 3 | [] | no_license | pkgs='apt-transport-https dotnet-sdk-5.0'
install=false
for pkg in $pkgs; do
status="$(dpkg-query -W --showformat='${db:Status-Status}' "$pkg" 2>&1)"
if [ ! $? = 0 ] || [ ! "$status" = installed ]; then
install=true
break
fi
done
if "$install"; then
wget https://packages.microsoft.com/config/ubuntu/18.... | true |
520b639022162926f579bbfbf8aea77ce2c04dfe | Shell | j-lindblom/profile | /home/.profile.d/java.sh | UTF-8 | 561 | 3.40625 | 3 | [] | no_license | export JAVA_HOME6="/System/Library/Frameworks/JavaVM.framework/Home/"
export JAVA_HOME7="/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home/"
export JAVA_HOME8="/Library/Java/JavaVirtualMachines/jdk1.8.0.jdk/Contents/Home/"
export JAVA_HOME=${JAVA_HOME8}
showjarversion() {
unzip -q -c $1 META-INF/MANIF... | true |
fbe296736e07ede43310db6b259433798019dc7a | Shell | doppllib/j2objc | /fullrebuild.sh | UTF-8 | 386 | 2.734375 | 3 | [
"BSD-3-Clause",
"Apache-2.0"
] | permissive | if [[ $# -eq 0 ]] ; then
echo "No arguments. Doppl version needed."
exit 1
fi
rm -rdf dist-release
export J2OBJC_VERSION=$1-release-doppl
export DEBUGGING_SYMBOLS=NO
export OPTIMIZATION_LEVEL=s
make clean
make -j8 frameworks
mv dist dist-release
export J2OBJC_VERSION=$1-debug-doppl
export DEBUGGING_SYMBOLS... | true |
3f5d31b7f8b2c8f37a31c7c8dc59a69977d52b1e | Shell | khannaum/telecom_equip_historical_alarms | /scripts/low_vol/main_all_low | UTF-8 | 1,903 | 2.5625 | 3 | [] | no_license | #!/bin/sh
jj="27-09"
## jj=`date '+%d-%m'`
# first for North
echo "###start North####"
DAY=`TZ=GMT+24 date +%d`
YEAR=`TZ=GMT+24 date +%Y`
MONTH=`TZ=GMT+24 date +%m`
cd /home/NCOR6649/scripts/low_vol
zcat /home/NCOR6649/logs/eas/mot_eas_$DAY-$MONTH.Z | grep -i "low voltage" | sort -u |nawk 'FS="|" , OFS="|" {... | true |
68324c558a87361a6baa1c544e1a8e7ea4a30062 | Shell | kartd19/LeoOS | /stage3/01-net-config/files/scripts/ap-disable | UTF-8 | 549 | 3.296875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
if [[ ! $EUID -eq 0 ]]; then
echo "Please run this script as root."
exit 1
fi
echo "WARNING! This script will disable the Access Point and make the external" \
"WiFi adapter be managed by the Network Manager."
read -p "Are you sure you want to continue [y/N]? " -n 1 -r
echo
if [[ ! $REPLY =~ ^[Yy]... | true |
eaf8da8360af50062f7cc6c8eac648d9bf2c99e2 | Shell | chipbuster/cvc-build-scripts | /SYS_configs/thalamus.sh | UTF-8 | 477 | 2.5625 | 3 | [
"NCSA",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
## These are the OS settings for CentOS 7
echo "Using settings for Thalamus (CentOS 7)"
export BUILD_OS=CentOS7
export BUILD_HOST=thalamus
# Modules must be listed in the order they are to be loaded
export HOST_MODLIST=("c7" "gcc/5.2" "cmake/3.3.2")
# Where should projects be downloaded/built?
... | true |
2762d5629df646ecea830e0de24ce00e3b10963f | Shell | kflavin/dotfiles | /bin/bin.nodot_symlink/git-tp | UTF-8 | 123 | 2.9375 | 3 | [] | no_license | #!/bin/bash
((!$#)) && echo No branch name, command ignored! && exit 1
d=$(date '+%Y.%m.%d.%s')
git tag -a "$d" -m "$1"
| true |
08367cec374fed0f056b5c29bfa4e0ae357fcc70 | Shell | dominicrico/petron | /splashscreen/custboot | UTF-8 | 1,682 | 3.796875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
FILE="/tmp/aboot"
FILE2="/tmp/video"
echo "Save the boot splash backgroung file in /etc/ and name it splash.png"
echo "File location should be /etc/petron-splash.png"
sleep 2
echo "Installing required packages"
sudo apt-get install fbi omxplayer -y
sleep 2
/bin/cat <<END >$FILE
#! /bin/sh
### BEGIN IN... | true |
63cc5835f83dfd12e08da9cbb33b540fd03fad27 | Shell | gaarons/geektools | /comp_hdcapacity.sh | UTF-8 | 2,582 | 4.09375 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# Created By Nate Ober
# Nate [dot] Ober [at] Gmail
LBLUE='\033[0;36m';
DBLUE='\033[0;34m';
BLACK='\033[0;30m';
GREEN='\033[0;32m';
RED='\033[0;31m';
YELLOW='\033[0;33m';
WHITE='\033[0;37m';
LINES=20;
HIGHLIGHT=RED;
SYMBOL="__";
MOUNT="/";
DEVICENAME="hd"
usage()
{
cat << EOF
usage: $0 options
This script... | true |
7403906f4f690136ca5b08aa812fc653e0285932 | Shell | Jesssullivan/USBoN | /pi-batman-adv/motionConfig.sh | UTF-8 | 821 | 2.703125 | 3 | [] | no_license | #!/bin/bash
# init script for motioneye daemon
# a WIP for the D&M Makerspace @ github/jesssullivan
echo preforming initial update / upgrade...
apt-get install -y ffmpeg libmariadb3 libpq5 libmicrohttpd12
wget https://github.com/Motion-Project/motion/releases/download/release-4.2.2/pi_buster_motion_4.2.2-1_armhf.deb... | true |
5bd04bea428f35e3c5f77a194d223cf1a74a25f7 | Shell | RobOJHU/Shell_Scripts | /which_kernel.sh | UTF-8 | 689 | 3.9375 | 4 | [] | no_license | #!/bin/sh
#
# The purpose of this script is to tell query which kernel
# is currently running on your system...
#
#
# Feb 25, 2004 by Ed Gurski (ed@gurski.com)
#
KERNEL="`uname -r`" # Get the name of the current kernel
UPTIME="`uptime`" # Determine how long the system has been running
RPM="`rpm -qa|grep kernel-2|sort`"... | true |
da1b8d7a48d597297cec72bf3b032c10d77116a1 | Shell | codgas/Atcoder-files-creator | /atcoder_files.sh | UTF-8 | 354 | 3.390625 | 3 | [] | no_license | #! /bin/bash
read -p " input competition number/name " COMP
mkdir "$COMP"
#Problem names, use spave to seperate between each problem name
NAMES="A B C D E F G H"
for NAME in $NAMES
do
touch "$COMP/$NAME.py"
#create code template, use \n for new line
echo -e "n=int(input())\nl=[*map(int,input().split())]\... | true |
e87256d9db1b8a3255aca8edfa5177d4e6c29f42 | Shell | mohamedrafi13/Kubernetes | /script.sh | UTF-8 | 395 | 2.703125 | 3 | [] | no_license | #!/bin/bash
read -p "Enter the worker1 username : " w1
read -p "Enter the worker2 username : " w2
kubectl get nodes | grep -v master | grep -v NAME | head -n 1 | awk '{print $1}' > node1
kubectl get nodes | grep -v master | tail -n 1 | awk '{print $1}' > node2
n1=$(cat node1)
n2=$(cat node2)
ssh $w1@$n... | true |
1bc09c84bd8873ddbdf51297377ee2ab5068939d | Shell | mmio/ubuntu-install-scripts | /bin/merge-audio-video.sh | UTF-8 | 340 | 3.828125 | 4 | [] | no_license | #!/bin/bash
# If ffmpeg fails the script won't delete files
set -e
VIDEO=$1
AUDIO=$2
OUTPUT=$3
if [ $# -eq 3 ] && [[ -s "$VIDEO" ]] && [[ -s "$AUDIO" ]]
then
ffmpeg -i "$VIDEO" -i "$AUDIO" -c:v copy -c:a aac "$OUTPUT"
rm "$VIDEO" "$AUDIO"
else
echo "Pass exactly 3 arguments, [video], [audio], [output] fi... | true |
63019b04a859ad3d9841399df7a040ace8ecc3d5 | Shell | Lance-Huangzj/EP2520_ACME_Project | /VM2/etc/profile.d/im-config_wayland.sh | UTF-8 | 349 | 2.890625 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | # /etc/profile.d/im-config_wayland.sh
#
# This sets the IM variables on Wayland.
test "$XDG_SESSION_TYPE" = 'wayland' || return
# don't do anything if im-config was removed but not purged
test -r /usr/share/im-config/xinputrc.common || return
if [ -r /etc/X11/Xsession.d/70im-config_launch ]; then
. /etc/X11/Xses... | true |
072289d13cc70cdd94cc9994c9c856f45934972c | Shell | forceworkbench/forceworkbench | /local-development/common.sh | UTF-8 | 579 | 3.71875 | 4 | [] | permissive | #!/bin/bash
function fix_linux_internal_host() {
DOCKER_INTERNAL_HOST="host.docker.internal"
host $DOCKER_INTERNAL_HOST | grep "has address" > /dev/null 2>&1
if [ $? -eq 1 ] ; then
DOCKER_INTERNAL_IP=`/sbin/ip route | awk '/default/ { print $3 }' | awk '!seen[$0]++'`
echo -e "$DOCKER_INTERNAL_IP\t$DOCKE... | true |
7f5c6623f0384671536db7bd1be8c23c6a0b7a56 | Shell | qianwenluo/biosys-analytics | /lectures/14-hpc/examples/pbs/job-array/submit.sh | UTF-8 | 665 | 3.5 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -u
export FTP_LIST=get-me
export OUT_DIR=$PWD
export NCFTPGET=/rsgrps/bhurwitz/hurwitzlab/bin/ncftpget
export STEP_SIZE=2
export PBS_DIR=pbs
if [[ -d $PBS_DIR ]]; then
rm -rf $PBS_DIR/*
else
mkdir $PBS_DIR;
fi
NUM_FILES=$(wc -l $FTP_LIST | cut -d ' ' -f 1)
if [[ $NUM_FILES -lt 1 ]]; then
echo... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.